Bug 1415919 - [RFE] /usr/bin/miq_postgres_upgrade.sh works with y and Y
Summary: [RFE] /usr/bin/miq_postgres_upgrade.sh works with y and Y
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Appliance
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: GA
: 5.8.0
Assignee: Nick Carboni
QA Contact: Nandini Chandra
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-24 05:03 UTC by Victor Estival
Modified: 2017-05-31 14:33 UTC (History)
6 users (show)

Fixed In Version: 5.8.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-31 14:33:20 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1367 normal SHIPPED_LIVE Moderate: CFME 5.8.0 security, bug, and enhancement update 2017-05-31 18:16:03 UTC

Description Victor Estival 2017-01-24 05:03:35 UTC
Description of problem:
The current script /usr/bin/miq_postgres_upgrade.sh only works when you press "Y" when you are prompted for a confirmation, but fails if you press "y"

Version-Release number of selected component (if applicable): 5.7.0.17


How reproducible: 100%


Steps to Reproduce:
1. Follow the instructions in the doc
2.
3.

Actual results: If you press "y" rather than "Y" it fails


Expected results: Accept both "y" and "Y"


Additional info:

Comment 3 Nandini Chandra 2017-04-20 17:25:54 UTC
Verified in 5.8.0.11

Comment 5 errata-xmlrpc 2017-05-31 14:33:20 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1367


Note You need to log in before you can comment on or make changes to this bug.